/*
** Find locked entities by application
*/
SELECT
    lock.locked_by
   ,lock.lock_date
   ,lock.lock_type
   ,app.entity_name AS application_name
   ,ent.entity_name
   ,ent.version_number
   ,ent.short_remark
FROM
    ii_locks lock
   ,ii_entities ent
   ,ii_entities appbase
   ,ii_entities app
WHERE lock.entity_id     = ent.entity_id
  AND ent.folder_id      = appbase.entity_id
  AND appbase.entity_id  = app.base_entity_id
  AND app.version_number = -1
ORDER BY
    application_name
;
COMMIT;
