/*
Components

Find a list of components for an application, along with 
the application name and information specific to the component:
*/

   SELECT app.entity_name AS application_name
         ,ent.entity_name, ent.entity_type, ent.version_number
         ,ent.short_remark, comp.data_type, comp.value_type
         ,comp.value_string
   FROM ii_entities ent, ii_entities base, ii_entities app
       ,ii_components comp
   WHERE base.entity_name    = LOWERCASE('<application name>')
     AND base.folder_id      = 0
     AND base.base_entity_id = 0
     AND base.entity_type    = 'appsource'
     AND base.entity_id      = app.base_entity_id
     AND base.entity_id      = app.base_entity_id
     AND app.version_number  = -1
     AND base.entity_id      = ent.folder_id
     AND ent.entity_type    IN
         ('framesource', 'proc4glsource', 'proc3glsource'
         ,'classsource', 'globsource',    'procdbsource'
         ,'constsource' )
     AND   (ent.version_number=-1
         OR   (ent.version_number=-2
           AND ent.added_by = DBMSINFO('username')
              ) )
     AND ent.entity_id = comp.entity_id;
