/*
Components of Versioned Applications

Find a list of all the components for a particular version of an application:
*/
   SELECT app.entity_name AS application_name
         ,ent.entity_name, ent.entity_type, ent.version_number
         ,ent.short_remark, comp.data_type
   FROM ii_entities ent, ii_components comp, ii_entities base
       ,ii_entities app, ii_app_cntns_comp cntns
   WHERE base.entity_name    = LOWERCASE('<application name>')
     AND base.folder_id      = 0
     AND base.base_entity_id = 0
     AND base.entity_type    = 'appsource'
     AND base.entity_id      = app.base_entity_id
     AND app.version_number  = 1 /* or some version number */
     AND app.entity_id       = cntns.app_id
     AND cntns.comp_id       = ent.entity_id
     AND cntns.comp_type IN
         ('framesource', 'proc4glsource', 'proc3glsource'
         ,'classsource', 'globsource',    'procdbsource'
         ,'constsource' )
     AND ent.entity_id       = comp.entity_id
   ORDER BY entity_name, version_number;
