/*
Component References

Find all the components that a component references within a particular 
application:
*/
   SELECT ent.entity_name, ent.entity_type, ent.version_number
         ,refs.entity_name AS reference_name
         ,refs.entity_type AS reference_type
         ,refs.version_number, dep.src_entity_id
         ,dep.dest_entity_id
         ,ent.base_entity_id as dep_entity_id 
   FROM ii_dependencies dep, ii_entities ent, ii_entities refs
       ,ii_entities base
   WHERE base.entity_name    = LOWERCASE('<application name>')
     AND base.folder_id      = 0
     AND base.base_entity_id = 0
     AND base.entity_type    = 'appsource'
     AND base.entity_id      = ent.folder_id
     AND ent.entity_id       = dep.src_entity_id
     AND refs.entity_id      = dep.dest_entity_id
   ORDER BY entity_name, reference_name;
