/*
Component References

Find all the components that reference a component within a particular 
application:
*/
   SELECT ent.entity_name, ent.entity_type
         ,ref.entity_name as refby_name
         ,ref.entity_type AS refby_type
   FROM ii_dependencies dep,ii_entities ent, ii_entities ref
       ,ii_entities base
   WHERE base.entity_name    = LOWERCASE('<application name>')
     AND base.folder_id      = 0
     AND base.base_entity_id = 0
     AND base.entity_type    = 'appsource'
     AND base.entity_id      = ent.folder_id
     AND ent.entity_id       = dep.dest_entity_id
     AND dep.src_entity_id   = ref.entity_id
   ORDER BY entity_name, refby_type;
